Package ru.bitel.bgbilling.modules.rcmts.server.bean

# Enum Class RCMtsRequestMethod

java.lang.Object
java.lang.Enum<RCMtsRequestMethod>
ru.bitel.bgbilling.modules.rcmts.server.bean.RCMtsRequestMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<RCMtsRequestMethod>`, `Constable`

public enum RCMtsRequestMethod extends Enum<RCMtsRequestMethod>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLOCK_VGROUPS`
  `DEL_TARIF_RASP`
  `GET_ACCOUNTS`
  `GET_AGREEMENTS`
  `GET_TARIF_RASP`
  `GET_VGROUPS`
  `TARIFS_RASP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RCMtsRequestMethod`
  `defineMethod(String endpoint)`
  `static RCMtsRequestMethod`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RCMtsRequestMethod[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GET_ACCOUNTS

    public static final RCMtsRequestMethod GET_ACCOUNTS

  - ### GET_AGREEMENTS

    public static final RCMtsRequestMethod GET_AGREEMENTS

  - ### GET_VGROUPS

    public static final RCMtsRequestMethod GET_VGROUPS

  - ### GET_TARIF_RASP

    public static final RCMtsRequestMethod GET_TARIF_RASP

  - ### DEL_TARIF_RASP

    public static final RCMtsRequestMethod DEL_TARIF_RASP

  - ### TARIFS_RASP

    public static final RCMtsRequestMethod TARIFS_RASP

  - ### BLOCK_VGROUPS

    public static final RCMtsRequestMethod BLOCK_VGROUPS

- ## Method Details

  - ### values

    public static RCMtsRequestMethod[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RCMtsRequestMethod valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### defineMethod

    public static RCMtsRequestMethod defineMethod(String endpoint)